<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <script>
    var mixin = {
        data: function() {
            return {
                message:'hello',
                foor: 'abc'
            }
        },
        created() {
            alert('created mixin sẽ được in trước')
        },
        methods:{
            foo: function(){
                alert('foo')
            },
            hamTungten: function(){
                alert('Hàm này sẽ được bỏ qua')
            }
        }
    }

   var vm=new Vue({
    mixins:[mixin],
    data: function (){
        return {
            message:'hello viet nam',
            barr:'def'
        }
    },
    created() {
        console.log(this.$data)
        alert('created Vue sẽ được in sau')
    },
    methods:{
        bar : function(){
            alert('bar')
        },
        hamTungten: function(){
                alert('Hàm trong component sẽ được thực hiện')
            }
    }
   })
   vm.foo();
   vm.bar();
   vm.hamTungten();
    
        //    var myMixins= {
//        created() {
//            this.hello()
//        },
//        methods: {
//            hello(){
//                alert('Hello Mixins')
//            }
//        },
    
//    }
//    var Component = Vue.extend({
//         mixins:[myMixins]
//     })
//     var component = new Component()

    </script>
</body>
</html>